Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.vfs.tasks
Class DeleteTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.commons.vfs.tasks.VfsTask
                  org.apache.commons.vfs.tasks.DeleteTask

public class DeleteTask
extends VfsTask

An Ant task that deletes matching files.

Version:
  $Revision: 480428 $ $Date: 2006-11-29 07:15:24 +0100 (Mi, 29 Nov 2006) $
Author:
  Adam Murdoch

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`DeleteTask()`

Method Summary
`void` | `execute()` Executes this task.
`void` | `setFile(String file)` Sets the file/folder to delete.
`void` | `setIncludes(String filesList)` Sets the files to includes
`void` | `setSrcDir(String srcDir)` Sets the source directory

Methods inherited from class org.apache.commons.vfs.tasks.VfsTask
`closeManager, resolveFile`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeleteTask

    public DeleteTask()

Method Detail

### setFile

    public void setFile(String file)

  Sets the file/folder to delete.

  Parameters:
    `file` -

### setSrcDir

    public void setSrcDir(String srcDir)

  Sets the source directory

### setIncludes

    public void setIncludes(String filesList)

  Sets the files to includes

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Executes this task.

  Throws:
    `org.apache.tools.ant.BuildException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 The Apache Software Foundation. All Rights Reserved.